GROMACS - Task #2665

remove fermi support
10/03/2018 09:29 PM - Mark Abraham

Status: Closed
Priority: Normal
Assignee: Szilard Pall
Category: core library
Target version: 2019
Difficulty: uncategorized
Description

We agreed quite a while ago that we are not supporting Fermi generation NVIDIA hardware any more, but
https://gerrit.gromacs.org/#/c/7586/ and hitps://gerrit.gromacs.org/#/c/7587/ need action to implement this.

Related issues:
Related to GROMACS - Bug #2810: running on Fermi throws cryptic error

Closed

Associated revisions

Revision 354ebb3e - 10/16/2018 07:18 AM - Mark Abraham

Removed support for NVIDIA CC 2.x devices (codename Fermi)

These are no longer tested or supported, but it is possible that the
OpenCL version of GROMACS will still run on such old devices.

Various code for configuration, the use of texture objects, the use
of shared memory, and the kernel dispatch is now simpler.

Fixes #2408
Fixes #2410
Fixes #2665

Change-Id: la7a00e5d6a97f93cd2768beb7ad56b2cce628a6f

History

#1 - 10/14/2018 12:03 PM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #2665.

Uploader: Mark Abraham (mark.j.abraham@gmail.com)

Change-Id: gromacs~master~la7a00e5d6a97f93cd2768beb7ad56b2cce628a6f
Gerrit URL: https://gerrit.gromacs.org/8547

#2 - 10/15/2018 05:22 PM - Mark Abraham

- Status changed from New to Fix uploaded

#3 -10/16/2018 07:30 AM - Mark Abraham

- Status changed from Fix uploaded to Resolved

Applied in changeset 354ebb3e51390bc488869630c583cc590dd61eeb.

#4 - 10/22/2018 12:23 PM - Paul Bauer

- Status changed from Resolved to Closed

#5 - 12/17/2018 11:25 PM - Szilard Pall

- Related to Bug #2810: running on Fermi throws cryptic error added
